import default_file from "../assets/default-file.js";
import ppt_file from "../assets/ppt-file.js";
import word_file from "../assets/word-file.js";
import { AutopilotChatFileType } from "../service/index.js";
const fileToIcon = (name)=>{
    const extension = name.split('.').pop();
    switch(extension){
        case 'doc':
            return {
                icon: word_file,
                friendlyType: AutopilotChatFileType.Word
            };
        case 'docx':
            return {
                icon: word_file,
                friendlyType: AutopilotChatFileType.Word
            };
        case 'ppt':
            return {
                icon: ppt_file,
                friendlyType: AutopilotChatFileType.PowerPoint
            };
        case 'pptx':
            return {
                icon: ppt_file,
                friendlyType: AutopilotChatFileType.PowerPoint
            };
        default:
            return {
                icon: default_file,
                friendlyType: AutopilotChatFileType.File
            };
    }
};
export { fileToIcon };
